BEGIN
                FOR k IN (SELECT null FROM all_synonyms WHERE owner = 'PUBLIC' and synonym_name = 'APPLICATION_SUMMARY_V') LOOP
                                EXECUTE IMMEDIATE 'DROP PUBLIC SYNONYM APPLICATION_SUMMARY_V';
                END LOOP;
                FOR i IN (SELECT null FROM all_views WHERE owner = user and view_name = 'APPLICATION_SUMMARY_V') LOOP
                                EXECUTE IMMEDIATE 'DROP VIEW APPLICATION_SUMMARY_V';
                END LOOP;
END;
/

CREATE VIEW application_summary_v AS 
  SELECT app_sum.application,
    app_sum.snapshot,
    app_sum.account_count - (SELECT count(DISTINCT id) FROM saccount WHERE virtual <> 0 AND deleted = 0 AND application = app_sum.application) account_count,
    app_sum.permission_count,
    app_sum.dangling_account_count AS unmapped_accounts,
    app_sum.shared_account_count
   FROM application_summary app_sum
     JOIN ( SELECT max(apps.snapshot) AS max_snap
           FROM application_summary apps) max_snapshot ON max_snapshot.max_snap = app_sum.snapshot;

GRANT SELECT ON igops.application_summary_v TO igrptuser;
CREATE OR REPLACE PUBLIC SYNONYM application_summary_v FOR igops.application_summary_v;